MimeBodyPartInputStream (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: MimeBodyPartInputStream

Package org.apache.cxf.attachment

# Class MimeBodyPartInputStream

java.lang.Object
java.io.InputStream
org.apache.cxf.attachment.MimeBodyPartInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class MimeBodyPartInputStream extends InputStream

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MimeBodyPartInputStream(PushbackInputStream inStreamParam, byte[] boundaryParam, int pbsize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected int`
  `processBuffer(byte[] buffer, int off, int len)`
  `int`
  `read()`
  `int`
  `read(byte[] buf, int origOff, int origLen)`

  ### Methods inherited from class java.io.InputStream

  `available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MimeBodyPartInputStream

    public MimeBodyPartInputStream(PushbackInputStream inStreamParam, byte[] boundaryParam, int pbsize)

- ## Method Details

  - ### read

    public int read(byte[] buf, int origOff, int origLen) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### processBuffer

    protected int processBuffer(byte[] buffer, int off, int len) throws IOException
    Throws:
      `IOException`

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException`